Formant: Get value at time...

A query to ask the selected Formant object for the frequency of the specified formant at the specified time.

## Settings

Formant number
  the ordinal number of the formant, counting up from 0 Hz. Specify "2" for F2 etc.
Time (s)
  the time at which to evaluate the formant frequency.
Units)
  the units of the result (Hertz or Bark).
Interpolation
  the interpolation method, see vector value interpolation. Always Linear.

## Return value

the bandwidth in hertz or Bark. If Time is not within half a frame width of any frame centre, or if Formant number is greater than the number of formants in the frame, the value is undefined; otherwise, the formant is considered to belong to the frame whose centre is nearest to Time.

## Algorithm

If possible (i.e. if the adjacent frame has enough formants), a linear interpolation is performed between the centre of the frame and the centre of the adjacent frame. With Bark units, the hertz-to-Bark transformation is performed before interpolation.